> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Instance



## OpenAPI

````yaml openapi-v2 POST /instance/create
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /instance/create:
    post:
      tags:
        - Instance Controller
      summary: Create Instance
      operationId: createInstance
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - instanceName
                - integration
              properties:
                instanceName:
                  type: string
                  description: instance (Instance name)
                token:
                  type: string
                  description: apikey (Enter or leave empty to create dynamically)
                qrcode:
                  type: boolean
                  description: Create QR Code automatically after creation
                number:
                  type: string
                  description: 559999999999 (Instance owner number with Country Code)
                integration:
                  type: string
                  description: WhatsApp engine
                  enum:
                    - WHATSAPP-BAILEYS
                    - WHATSAPP-BUSINESS
                rejectCall:
                  type: boolean
                  description: Reject WhatsApp calls automatically
                msgCall:
                  type: string
                  description: Message to be sent when a call is rejected automatically
                groupsIgnore:
                  type: boolean
                  description: Ignore group messages
                alwaysOnline:
                  type: boolean
                  description: Keep WhatsApp always online
                readMessages:
                  type: boolean
                  description: Send read receipts to received messages
                readStatus:
                  type: boolean
                  description: Show sent messages read status
                syncFullHistory:
                  type: boolean
                  description: Syncronize full WhatsApp history with EvolutionAPI
                proxyHost:
                  type: string
                  description: proxy host
                proxyPort:
                  type: string
                  description: proxy port
                proxyProtocol:
                  type: string
                  description: proxy protocol
                proxyUsername:
                  type: string
                  description: proxy Username
                proxyPassword:
                  type: string
                  description: proxy password
                webhook:
                  type: object
                  properties:
                    url:
                      type: string
                      description: The URL of the webhook.
                    byEvents:
                      type: boolean
                      description: Enable Webhook by events
                    base64:
                      type: boolean
                      description: Sends files in base64 when available
                    headers:
                      type: object
                      description: Headers for send the API from webhook
                      properties:
                        authorization:
                          type: string
                          description: Your authorization key header
                        Content-Type:
                          type: string
                          description: content-type
                    events:
                      type: array
                      items:
                        type: string
                        enum:
                          - APPLICATION_STARTUP
                          - QRCODE_UPDATED
                          - MESSAGES_SET
                          - MESSAGES_UPSERT
                          - MESSAGES_UPDATE
                          - MESSAGES_DELETE
                          - SEND_MESSAGE
                          - CONTACTS_SET
                          - CONTACTS_UPSERT
                          - CONTACTS_UPDATE
                          - PRESENCE_UPDATE
                          - CHATS_SET
                          - CHATS_UPSERT
                          - CHATS_UPDATE
                          - CHATS_DELETE
                          - GROUPS_UPSERT
                          - GROUP_UPDATE
                          - GROUP_PARTICIPANTS_UPDATE
                          - CONNECTION_UPDATE
                          - CALL
                          - NEW_JWT_TOKEN
                          - TYPEBOT_START
                          - TYPEBOT_CHANGE_STATUS
                      description: Events to be sent to the Webhook
                  description: Webhook URL
                rabbitmq:
                  type: object
                  properties:
                    enabled:
                      type: boolean
                      description: Enable RabbitMQ
                    events:
                      type: array
                      items:
                        type: string
                        enum:
                          - APPLICATION_STARTUP
                          - QRCODE_UPDATED
                          - MESSAGES_SET
                          - MESSAGES_UPSERT
                          - MESSAGES_UPDATE
                          - MESSAGES_DELETE
                          - SEND_MESSAGE
                          - CONTACTS_SET
                          - CONTACTS_UPSERT
                          - CONTACTS_UPDATE
                          - PRESENCE_UPDATE
                          - CHATS_SET
                          - CHATS_UPSERT
                          - CHATS_UPDATE
                          - CHATS_DELETE
                          - GROUPS_UPSERT
                          - GROUP_UPDATE
                          - GROUP_PARTICIPANTS_UPDATE
                          - CONNECTION_UPDATE
                          - LABELS_EDIT
                          - LABELS_ASSOCIATION
                          - CALL
                          - TYPEBOT_START
                          - TYPEBOT_CHANGE_STATUS
                      description: Events to be sent to the RabbitMQ
                sqs:
                  type: object
                  properties:
                    enabled:
                      type: boolean
                      description: Enable SQS
                    events:
                      type: array
                      items:
                        type: string
                        enum:
                          - APPLICATION_STARTUP
                          - QRCODE_UPDATED
                          - MESSAGES_SET
                          - MESSAGES_UPSERT
                          - MESSAGES_UPDATE
                          - MESSAGES_DELETE
                          - SEND_MESSAGE
                          - CONTACTS_SET
                          - CONTACTS_UPSERT
                          - CONTACTS_UPDATE
                          - PRESENCE_UPDATE
                          - CHATS_SET
                          - CHATS_UPSERT
                          - CHATS_UPDATE
                          - CHATS_DELETE
                          - GROUPS_UPSERT
                          - GROUP_UPDATE
                          - GROUP_PARTICIPANTS_UPDATE
                          - CONNECTION_UPDATE
                          - CALL
                          - NEW_JWT_TOKEN
                          - TYPEBOT_START
                          - TYPEBOT_CHANGE_STATUS
                      description: Events to be sent to the SQS
                  description: Enable SQS
                chatwootAccountId:
                  type: integer
                  description: Chatwoot account ID
                chatwootToken:
                  type: string
                  description: Chatwoot authentication token
                chatwootUrl:
                  type: string
                  description: Chatwoot server URL
                chatwootSignMsg:
                  type: boolean
                  description: Send message signature on Chatwoot
                chatwootReopenConversation:
                  type: boolean
                  description: Reopen conversation on Chatwoot
                chatwootConversationPending:
                  type: boolean
                  description: TODO
                chatwootImportContacts:
                  type: boolean
                  description: Import Chatwoot contacts
                chatwootNameInbox:
                  type: string
                  description: Name inbox chatwoot
                chatwootMergeBrazilContacts:
                  type: boolean
                  description: TODO
                chatwootImportMessages:
                  type: boolean
                  description: Import chatwoot messages
                chatwootDaysLimitImportMessages:
                  type: integer
                  description: Limit message import chatwoot
                chatwootOrganization:
                  type: string
                  description: Evolution Bot
                chatwootLogo:
                  type: string
                  description: https://evolution-api.com/files/evolution-api-favicon.png
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  instance:
                    type: object
                    properties:
                      instanceName:
                        type: string
                        description: The name of the instance
                      instanceId:
                        type: string
                        description: The unique identifier for the instance
                      webhook_wa_business:
                        type: string
                        description: The webhook URL for WhatsApp Business integration
                      access_token_wa_business:
                        type: string
                        description: The access token for WhatsApp Business
                      status:
                        type: string
                        description: The current status of the instance
                  hash:
                    type: object
                    properties:
                      apikey:
                        type: string
                        description: The API key for authentication
                  settings:
                    type: object
                    properties:
                      reject_call:
                        type: boolean
                        description: Indicates whether calls are rejected
                      msg_call:
                        type: string
                        description: Message to be sent when a call is rejected
                      groups_ignore:
                        type: boolean
                        description: Indicates whether groups are ignored
                      always_online:
                        type: boolean
                        description: Indicates whether the instance is always online
                      read_messages:
                        type: boolean
                        description: Indicates whether messages are marked as read
                      read_status:
                        type: boolean
                        description: Indicates whether status updates are marked as read
                      sync_full_history:
                        type: boolean
                        description: >-
                          Indicates whether the full message history is
                          synchronized
                example:
                  instance:
                    instanceName: teste-docs
                    instanceId: af6c5b7c-ee27-4f94-9ea8-192393746ddd
                    webhook_wa_business: null
                    access_token_wa_business: ''
                    status: created
                  hash:
                    apikey: '123456'
                  settings:
                    reject_call: false
                    msg_call: ''
                    groups_ignore: true
                    always_online: false
                    read_messages: false
                    read_status: false
                    sync_full_history: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    description: The HTTP status of the response
                  error:
                    type: string
                    description: The error message indicating the type of error
                  response:
                    type: object
                    properties:
                      message:
                        type: array
                        items:
                          type: string
                        description: List of detailed error messages
                example:
                  status: 403
                  error: Forbidden
                  response:
                    message:
                      - This name "instance-example-name" is already in use.
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````